Bullet Collision Detection & Physics Library: Bullet::btConeTwistConstraintData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btConeTwistConstraintData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btConeTwistConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
float | m_swingSpan1
float | m_swingSpan2
float | m_twistSpan
float | m_limitSoftness
float | m_biasFactor
float | m_relaxationFactor
float | m_damping
char | m_pad [4]

## Detailed Description

Definition at line 1020 of file bullet.h.

## Member Data Documentation

## ◆ m_biasFactor

float Bullet::btConeTwistConstraintData::m_biasFactor

Definition at line 1030 of file bullet.h.

## ◆ m_damping

float Bullet::btConeTwistConstraintData::m_damping

Definition at line 1032 of file bullet.h.

## ◆ m_limitSoftness

float Bullet::btConeTwistConstraintData::m_limitSoftness

Definition at line 1029 of file bullet.h.

## ◆ m_pad

char Bullet::btConeTwistConstraintData::m_pad[4]

Definition at line 1033 of file bullet.h.

## ◆ m_rbAFrame

btTransformFloatData Bullet::btConeTwistConstraintData::m_rbAFrame

Definition at line 1024 of file bullet.h.

## ◆ m_rbBFrame

btTransformFloatData Bullet::btConeTwistConstraintData::m_rbBFrame

Definition at line 1025 of file bullet.h.

## ◆ m_relaxationFactor

float Bullet::btConeTwistConstraintData::m_relaxationFactor

Definition at line 1031 of file bullet.h.

## ◆ m_swingSpan1

float Bullet::btConeTwistConstraintData::m_swingSpan1

Definition at line 1026 of file bullet.h.

## ◆ m_swingSpan2

float Bullet::btConeTwistConstraintData::m_swingSpan2

Definition at line 1027 of file bullet.h.

## ◆ m_twistSpan

float Bullet::btConeTwistConstraintData::m_twistSpan

Definition at line 1028 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintData Bullet::btConeTwistConstraintData::m_typeConstraintData

Definition at line 1023 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h